@import '../../../../styles.scss';

.star {
  font-size: 1.5rem;
  color: #b0c4de;
}

.filled {
  color: #FFD700;
}

.bad {
  color: #deb0b0;
}

.filled.bad {
  color: #ff1e1e;
}

.edit:hover {
  opacity: 0.6;
}

.control {
  margin: 4px;
}

.quantity-control {
  background-color: #ffffff;
  border-radius: 30px;
  border: 1px solid #cccccc;

  button {
    border-radius: 20px;
    width: 30px;
    height: 30px;
    font-size: 18px;
    border: none;
    outline: 0;
    margin: 4px;
    padding-bottom: 8px;
    background-color: $bg-light-gray;
  }

  button:hover {
    background-color: $bg-default;
    color: #ffffff;
  }

  input {
    max-width: 46px;
    text-align: center;
    border: none;
    outline: 0;
  }
}

.product-image {
  width: 70%;
  margin: 0 15%;
}

#add-to-cart-button {
  margin: 0 8px;
  border-radius: 30px;
  padding: 0 28px;
  background-color: $bg-default;
  color: #ffffff;
  font-weight: 500;
  outline: 0;
}

#heart-button {
  border: 1px solid #cccccc;
  outline: 0;
  color: $bg-light-gray;
}

#heart-button:hover {
  outline: 0;
  color: #ffffff;
  background-color: $bg-default;
}
